player = {}

function player.load()
    player.grid_x = 380
    player.grid_y = 96
    player.act_x = 24
    player.act_y = 36
    player.speed = 10
    player.width = 50
    player.height = 50
    player.image = love.graphics.newImage("assets/images/player.png")
end
function player.update(dt)
	player.act_y = player.act_y - ((player.act_y - player.grid_y) * player.speed * dt)
	player.act_x = player.act_x - ((player.act_x - player.grid_x) * player.speed * dt)
end

function UPDATE_PLAYER(dt)
	player.update(dt)
end

function canWalk(x, y)
    if map[(player.grid_y / 32) + y][(player.grid_x / 32) + x] == 1 
    or map[(player.grid_y / 32) + y][(player.grid_x / 32) + x] == 2
    or map[(player.grid_y / 32) + y][(player.grid_x / 32) + x] == 3 then
        return false
    end
 	return true
end

function love.keypressed(key)
    if key == "down" then
       	player.grid_y = player.grid_y + 32
    end
    if key == "up" then
        player.grid_y = player.grid_y - 32
    end
    if key == "left" then
	   player.grid_x = player.grid_x - 32
    end
    if key == "right" then
    player.grid_x = player.grid_x + 32
    end
end

function player.draw()
    --love.graphics.draw(player.image, player.act_x, player.act_y, player.width, player.height)
    love.graphics.setColor(255,0,0)
    love.graphics.rectangle("fill", player.act_x, player.act_y, player.width, player.height)
end
function DRAW_PLAYER()
	player.draw()
end

--[[player = {}

function player.load()
	player.x = 300
	player.y = 300
	player.xvel = 0
	player.yvel = 0
	player.height = 32
	player.width = 32
	player.speed = 250
	player.friction = 7
	player.image = love.graphics.newImage("image.png")
end

function player.physics(dt)
   player.x = player.x + player.xvel * dt
   player.y = player.y + player.yvel * dt
end

function player.boundary()
   if player.x < 0 then
      player.x = 0
      player.xvel = 0
   end
   if player.x > windowWidth - 50 then
      player.x = windowWidth - 50
      player.xvel = 0
   end
   if player.y < 0 then
   		player.y = 0
   		player.yvel = 0
   end
   if player.y + player.height > groundlevel then
      player.y = groundlevel - player.height
      player.yvel = 0
      playerCanJump = true
   end
end

function player.move(dt)
	if love.keyboard.isDown('up') and
      	player.xvel < player.speed then
		player.y = player.y - player.speed * dt
	end
	if love.keyboard.isDown('down') and
      	player.xvel > -player.speed then
		player.y = player.y + player.speed * dt
	end
	if love.keyboard.isDown('left') and
      	player.xvel > -player.speed then
		player.x = player.x - player.speed * dt
	end
	if love.keyboard.isDown('right') and
      	player.xvel < player.speed then
		player.x = player.x + player.speed * dt
	end
end

function UPDATE_PLAYER(dt)
	player.physics(dt)
	player.move(dt)
	player.boundary()
end

function player.draw()
	love.graphics.draw(player.image, player.x, player.y)
end

function DRAW_PLAYER()
	player.draw()
end]]

